/* PAGE LAYOUT */

div.container {
  position: absolute;

  display: grid;
  grid-template-rows: auto 1fr auto;
  grid-template-columns: 100%;

  height: 100vh;
  min-height: 100vh;
  width: var(--containerWidth);
  left: calc((100% - var(--containerWidth)) / 2);
  min-width: var(--minWidth);
  max-width: var(--maxWidth);

  margin-left: auto;
  margin-right: auto;
}

div.footer {
  position: relative;
}

main, footer {
  display: grid;
}

header {
  padding-left: 2px;
  padding-right: 2px;
}

p.intro {
  display: block;
  margin-top: 1em;
}

h2.home + p.intro {
  margin-top: 0.5em;
}

div.paGrid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-gap: 0px;
  gap: 0px;
  justify-items: stretch;
  justify-content: stretch;
  align-items: stretch;
  align-content: start;
  grid-auto-flow: row;

  margin-top: 0.5em;
}

div.paBox {
  gap: 1em;
  margin-top: calc(1em + (var(--PAIconSize) / 2));
}

/* GENERAL ANIMATIONS */
a.email, a.terms, a.practiceArea, a.phone, a.contactPhone, a.footer, a.learnMore {
  padding: var(--linkPadding);
  border-radius: 0.5em;
  transition: all var(--linkTransitionDuration) ease-in-out;
}

a.learnMore {
  padding: 0.5em 0.625em 0.375em;
}

div.paLearnMore > a.learnMore {
  padding: 0.5em 0.625em;
}

a.email, a.terms, a.practiceArea, a.phone, a.contactPhone {
  color: var(--lightThemeTextColor);
  font-weight: 500;
  background: rgb(from var(--lightThemeBGColor) r g b / 20%);
}

a.phone:hover, a.email:hover, a.contactPhone:hover,
a.phone:focus, a.email:focus, a.contactPhone:focus {
  color: var(--lightThemeBGColor);
  box-shadow: 500px 0px 10px 0px var(--lightThemeTextColor) inset;
}

a.terms:hover, a.practiceArea:hover,
a.terms:focus, a.practiceArea:focus {
  color: var(--lightThemeBGColor);
  box-shadow: 500px 0px 10px 0px var(--lightThemeTextColor) inset;
}

div.footerLink:hover, div.footerLink:focus {
  color: var(--darkThemeBGColor);
  background: var(--darkThemeTextColor);
}

div.learnMore:hover, div.learnMore:focus {
  color: var(--darkThemeBGColor);
  background: var(--darkThemeTextColor);
  border-color: var(--darkThemeBGColor);
}

div.paLearnMore:hover, div.paLearnMore:focus {
  color: var(--darkThemeBGColor);
  background: var(--darkThemeTextColor);
  border-color: var(--darkThemeBGColor);
}

div.logo:hover, div.logo:focus {
  background-image: var(--APLawLogoInv);
}

/*
a.footer:hover, a.footer:focus {
  box-shadow: 300px 0px 0px 0px var(--darkThemeTextColor) inset;
  color: var(--darkThemeBGColor);
}
*/


/* MENU STYLES */

div.menuBar {
  display: flex;
  justify-content: space-between;
  align-items: stretch;
  flex-flow: row;
  position: relative;
  z-index: 10;
  width: 100%;
  min-width: var(--minWidth);
  max-width: var(--maxWidth);
}

div.menuWrapper {
  display: block;
  position: relative;
  margin: 8px 0px 8px 0px;
}

nav {
}

ul.menu {
  position: absolute;
  left: 50%;

  display: flex;
  justify-content: space-between;
  align-items: stretch;

  padding: 0px;
  margin: 0px;

  transform: translateX(-50%);

  list-style-type: none;
}


ul.menu li {
  flex: 1 1 auto;
  white-space: nowrap;

  position: relative;
  padding: 6px;
  margin-right: var(--menuMarginR);

  line-height: 1.5;
  transition: all var(--menuTransitionDuration) ease-in-out;

  font-weight: 600;

  border: 2px solid transparent;
  border-radius: 0.25em;
}


ul.menu li.active span.activePage {
  opacity: var(--activeMenuOpacity);
}

ul.menu li:last-child {
  position: relative;
  border: 2px solid transparent;
  margin-right: var(--menuMarginRL);
}

ul.menu li a {
  display: block;

  color: var(--darkThemeBGColor);
  text-decoration: none;
  text-transform: uppercase;

  transition: color var(--menuTransitionDuration);
}

ul.menu li ul {
  position: absolute;
  display: block;

  margin: 0.5em 0px;
  padding: 0px;

  background: var(--containerBGColor);
  visibility: hidden;

  border-style: solid;
  border-width: 0px 1px 1px 0px;
  border-color: #cccccc #dddddd;
  border-radius: 2px;

  /*box-shadow:
    2px 2px 2px 0px rgb(from #dddddd r g b / 50%),
    4px 4px 3px 0px rgb(from #eeeeee r g b / 50%);*/

  transition: all var(--menuTransitionDuration) ease-in-out;
  list-style-type: none;
}

ul.menu li ul li {
  position: relative;
  display: block;
  margin: 0px;
  width: calc(100% - 15px);
  line-height: 1.7;
}

ul.menu li ul li a {
  display: block;
  color: var(--darkThemeTextColor);
  width: 100%;
}

ul.menu li:not(.active):hover, ul.menu li:not(.active):focus {
  margin-left: 1px;

  background: var(--darkThemeBGColor);

 /*border: 2px solid var(--borderTLHoverColor);
  border-right: 2px solid var(--borderRBHoverColor);
  border-bottom: 2px solid var(--borderRBHoverColor);*/
  border-radius: 0.75em;
}

span.dropdown::after, a.dropdown::after {
  background-image: url('/images/droparrow.png');
  display: inline-block;
  background-size: auto;
  background-repeat: no-repeat;
  background-position: center bottom;
  width: 12px;
  height: 9px;
  content: ' ';
  margin-left: 6px;
}

ul.menu li.active:hover .dropdown::after,
ul.menu li.active:focus .dropdown::after {
  background-image: url('/images/droparrowinv.png');
}

ul.menu li:hover a, ul.menu li:focus a {
  color: var(--darkThemeTextColor);
}

ul.menu li:hover ul, ul.menu li:focus ul {
  visibility: visible;
  opacity: 1;
  /* box-shadow: 0px 3px 5px 2px #240106; */
}

ul.menu li:hover ul li a, ul.menu li:focus ul li a {
  color: var(--darkThemeBGColor);
}

ul.menu li ul li:hover a, ul.menu li ul li:focus a {
  color: var(--darkThemeTextColor);
}

@keyframes slide-in {
  0% {
    top: -50px;
  }
  40% {
    top: 20px;
  }
  70% {
    top: 10px;
  }
  100% {
    top: 15px;
  }
}


/* OTHER */
img.about {
  display: block;
  width: 100%;
  border-radius: 8%;
  max-height: 800px;
  margin: auto;
  filter: brightness(75%) contrast(120%);
  /* filter: drop-shadow(6px 6px 10px gray); */
  object-fit: contain;
}


div.founder {
  display: flex;
  flex-flow: column nowrap;
  justify-content: center;
  gap: 0px;
  align-items: center;
}

div.founderTitle {
  display: inline-block;
  font-size: 0.8em;
  text-align: center;
}

div.founderName {
  display: inline-block;
  font-variant: small-caps;
  text-align: center;
}

img.founder {
  max-height: 300px;
  margin: auto;
}


img.practice {
  position: relative;
  display: block;
  filter: blur(1.5px);
  margin-top: 0px;
  margin-left: auto;
  margin-right: auto;
  max-width: 100%;
  max-height: 600px;
}
